绝对是个人恩怨(笑)

今天 ArchLinux 的一个更新附带了 这个 说明
尝试更新,果然提示了包冲突

grep ‘^lib/’ /var/lib/pacman/local/*/files

查看可以发现引起这个问题的是 usbmuxd-git 这个包,于是我的怨念终于再次爆发了

各种桌面环境都有包依赖 upower ,而 upower 居然依赖 libimobiledevice ,而 libimobiledevice 依赖 usbmuxd ,而 libimobiledevice 和 usbmuxd 都还是一年多前的版本…

官方源中的 libimobiledevice 1.1.1-2 是 28.04.2011 版本第二次打包
libimobiledevice 1.0.7(stable) 在 22.03.2012 更新
官方源中的 1.1.1-2 (unstable) 随即被标记过时
官方源 2012-04-23 的更新居然只是重新给 1.0.7 打了第三个包

官方源中的 usbmuxd 1.0.7-2 是 2011-03-22 版本的第二次打包
usbmuxd 1.0.8 在 2012-04-07 发布
官方源中的 1.0.7-2 在 2012-04-14 被标记过时
官方源 2012-05-05 的更新居然只是重新给 1.0.7 打了第三个包

如果 libimobiledevice 不更新是因为版本号回滚太猎奇,那么后面在 08.04.2012 发布的 1.1.4(unstable) 怎么也不更新?
更何况 usbmuxd 的版本号是很明确的,为什么也不更新?


以下开始扯淡


于是只有一个解释

usbmuxd 在 12.01.2012 被 Nikias 从 Hector Martin 手中接管
一定是因为 archlinux 官方源维护 usbmuxd 的人是 Hector Martin 的好基友才永久的保留了他开发的最后一个版本,一定是这样的!

这绝对是个人恩怨(各种意义上)!

3 thoughts on “绝对是个人恩怨(笑)

Leave a Reply